### Enumeration

# Gdk SeatCapabilities

#### Declaration

    flags Gdk.SeatCapabilities

#### Description [src]

Flags describing the seat capabilities.

#### Members

`GDK_SEAT_CAPABILITY_NONE`

  No input capabilities.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_POINTER`

  The seat has a pointer (e.g. mouse)

  - Value: `1`
  - Nickname: `pointer`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_TOUCH`

  The seat has touchscreen(s) attached.

  - Value: `2`
  - Nickname: `touch`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_TABLET_STYLUS`

  The seat has drawing tablet(s) attached.

  - Value: `4`
  - Nickname: `tablet-stylus`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_KEYBOARD`

  The seat has keyboard(s) attached.

  - Value: `8`
  - Nickname: `keyboard`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_TABLET_PAD`

  The seat has drawing tablet pad(s) attached.

  - Value: `16`
  - Nickname: `tablet-pad`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_ALL_POINTING`

  The union of all pointing capabilities.

  - Value: `7`
  - Nickname: `all-pointing`
  - Available since: 4.0
`GDK_SEAT_CAPABILITY_ALL`

  The union of all capabilities.

  - Value: `31`
  - Nickname: `all`
  - Available since: 4.0